Page 1 of 1

The Need For A Working Unity Editor

Posted: Fri Sep 29, 2017 8:22 pm
by sull51
Computer games come and go on my hard drive, but FOG-1 will live forever -maybe.

This is due to the editor which allowed users to create a huge number of add on scenarios which have extended the life and my enjoyment of the game. The unity version FOG-1does not have a working editor although a “sticky” that says the transfer to Unity editor would be easy.

Besides the transfer of existing add on scenarios the last two DLC’s do not work in existing FOG-1 editor and would open up new time periods for add on scenarios if an editor for Unity existed

Now many of you are now thinking why bother adding an editor to a new version of a 8 year old game when FOG-2 is about to be released with what appears to be a great editor. If Sliterine releases the DLC’s at the same rate as FOG-1 it could be 5 or 6 years (2023-2024) before they get to the later DLC’s (Middle Ages, Vikings)

As an old soldier ( a wargamer type soldier) both my hard drive and myself may be dead by then So it is imperative that a working editor be added to the Unity version of FOG-1-Please!

Re: The Need For A Working Unity Editor

Posted: Wed Oct 11, 2017 4:48 pm
by Micha63
You can create scenarios in fog 1 and convert them to Unity, a good compromise for the waitingtime.

Re: The Need For A Working Unity Editor

Posted: Tue Dec 10, 2019 7:14 am
by alzado_77
Late to the party - but I've just purchased FOG Unity for about $60 and found there is no Editor to work with - which was the main point of buying it! This needs to be advertised - i.e. that you are not buying a complete game. Will be looking for a refund!

Re: The Need For A Working Unity Editor

Posted: Wed Dec 11, 2019 6:45 am
by Mord
alzado_77 wrote:
Tue Dec 10, 2019 7:14 am
Late to the party - but I've just purchased FOG Unity for about $60 and found there is no Editor to work with - which was the main point of buying it! This needs to be advertised - i.e. that you are not buying a complete game. Will be looking for a refund!
See above posts.

Don't get rid of the game, there's a ton of play in it even if you don't use the Unity version. 1.81 is much better anyway. Better UI, better effects, better unit graphics (you can make plenty of battles with it). Just use Unity when you want to play a battle from Wolves From The Sea or Oath of Fealty. I get why you're mad but I don't even notice that I don't use the last two much. It's a fun game.


Mord.